<CsoundSynthesizer>

; coded by Oeyvind Brandtsegg 2002

; a composition made from observation data of a brown bear
; commisioned by the international brown bear conference held in Steinkjer 2002
; To compile this orchestra, you need an image map file named "BJ_RN_5map3c.TIF"
; The file should be distributed toghether with this orchestra,
; put it in a directory of your choice, and edit the text line 18 lines below this one,
; to reflect the path to the file. Currently, the ochestra assumes that the file can
; be found at C:/

; The mapping of observation data to sound was done by scaling the data to an appropriate range,
; and assigning musical and sound processing parameters to the parameters of observation.
; For example, the time of observation becomes rhythm, east-west position is left-right in the stereo image,
; north-south position is partially responsible for pitch, altitude controls filter characteristics,
; speed of movement controls amplitude. and so on.

; This orchestra does not run in realtime without dropouts on my computer,
; compile in deferred time.
; The full composition includes additional background sounds made both in Csound and in Coagula image synth.
; for an mp3 version of the composition, look under "Archives" on my web site

<CsOptions>


;CsoundAV command line, edit to suit your platform and choice of Csound version
-+X -b2048
;enable audio out


</CsOptions>

<CsInstruments>



sr=44100

kr=44100

ksmps=1

nchnls=2



giwidth,giheight,ibpp bmopen	"C:/BJ_RN_5map3c.TIF",1,2  ; insert the path to the map image here



	FLpanel	"BMOSCIL",830,630

	FLscroll  830,630,0,0

gih2	FLbox	" ",3,1,20,150,150,10,10

	FLsetImage 	1,gih2,1  ;*** display image

	FLscroll_end

	FLpanel_end

	




gkoct	init 0

	zakinit	13,1

;****************************************************************
; GUI widgets instrument
;****************************************************************
	instr 1
;*******************************
		FLpanel         "Master Control",450,380,10,10 ;***** start of container
		FLtabs		   430, 360, 10, 10 

		FLlabel  	10, 1, 3, 0, 0, 0
		FLgroup	"Tempo",  420, 325, 15, 30, 0
ih410		FLvalue		" ", 40, 15, 380,  50
gk420,ih420 	FLslider        "Tempo", 	 	20, 200,   0, 1, ih410, 340, 15,  30,  50
		FLgroup_end

		FLgroup	"RingMod",  420, 325, 15, 30, 0
		FLlabel  	10, 1, 2, 0, 0, 0

ih1101		FLvalue		" ", 40, 15,  47, 115
ih1102		FLvalue		" ", 40, 15, 123, 115
ih1103		FLvalue		" ", 40, 15, 199, 115
ih1104		FLvalue		" ", 40, 15, 275, 115
ih1105		FLvalue		" ", 40, 15, 351, 115

gk1151,ih1151 	FLknob		"Mod Freq", 	    1, 5000, -1, 1, ih1101, 40,  47, 70
gk1152,ih1152 	FLknob		"Mod indx", 	    0, 1,     0, 1, ih1102, 40, 123, 70
gk1153,ih1153 	FLknob		"LFO Freq", 	    0.01, 20,-1, 1, ih1103, 40, 199, 70
gk1154,ih1154 	FLknob		"LFO amt", 	    0, 2,     0, 1, ih1104, 40, 275, 70
gk1155,ih1155 	FLknob		"Amp -> Freq", 	   -1, 3,     0, 1, ih1105, 40, 351, 70

		FLsetAlign	 2, ih1151
		FLsetAlign	 2, ih1152
		FLsetAlign	 2, ih1153
		FLsetAlign	 2, ih1154
		FLsetAlign	 2, ih1155
		FLsetVal_i 	20, ih1151
		FLsetVal_i 	 1, ih1152
		FLsetVal_i 	 1, ih1153
		FLsetVal_i 	 0, ih1154
		FLsetVal_i 	 0, ih1155

ihF1141		FLbox		"Effect Sends", 5, 1 , 11, 376, 17, 30, 230

ifxknobsize	= 40
ifxvaly1	= 305
ifxknoby1	= 250

ihF1101		FLvalue		" ", 40, 17,  30, ifxvaly1
ihF1103		FLvalue		" ", 40, 17,  78, ifxvaly1
ihF1104		FLvalue		" ", 40, 17, 126, ifxvaly1
ihF1105		FLvalue		" ", 40, 17, 174, ifxvaly1
ihF1106		FLvalue		" ", 40, 17, 222, ifxvaly1
ihF1107		FLvalue		" ", 40, 17, 270, ifxvaly1
ihF1108		FLvalue		" ", 40, 17, 318, ifxvaly1
ihF1109		FLvalue		" ", 40, 17, 366, ifxvaly1

gkF1111,ihF1111		FLknob		"Dry",  	    0, 1, 0, 1, ihF1101, ifxknobsize,  30, ifxknoby1
gkF1113,ihF1113		FLknob		"FreqMod", 	    0, 1, 0, 1, ihF1103, ifxknobsize,  78, ifxknoby1
gkF1114,ihF1114		FLknob		"Filter1", 	    0, 1, 0, 1, ihF1104, ifxknobsize, 126, ifxknoby1
gkF1115,ihF1115		FLknob		"Distortion", 	    0, 1, 0, 1, ihF1105, ifxknobsize, 174, ifxknoby1
gkF1116,ihF1116		FLknob		"Filter2", 	    0, 1, 0, 1, ihF1106, ifxknobsize, 222, ifxknoby1
gkF1117,ihF1117		FLknob		"Delay1", 	    0, 1, 0, 1, ihF1107, ifxknobsize, 270, ifxknoby1
gkF1118,ihF1118		FLknob		"Delay2", 	    0, 1, 0, 1, ihF1108, ifxknobsize, 318, ifxknoby1
gkF1119,ihF1119		FLknob		"Reverb", 	    0, 1, 0, 1, ihF1109, ifxknobsize, 366, ifxknoby1

FLsetVal_i 	1, 	ihF1111
FLsetVal_i 	0, 	ihF1113
FLsetVal_i 	0, 	ihF1114
FLsetVal_i 	0, 	ihF1115
FLsetVal_i 	0, 	ihF1116
FLsetVal_i 	0, 	ihF1117
FLsetVal_i 	0, 	ihF1118

ihF1110		FLvalue		" ", 40, 15, 366, 340
gkF1120,ihF1120	FLslider        "Panning",  	  0, 1, 0, 1, ihF1110, 330, 15, 30, 340
FLsetVal_i 	0.5, 	ihF1120

		FLgroup_end
; *************************
		FLgroup	"FreqMod",  420, 325, 15, 30, 0

ih1201		FLvalue		" ", 40, 15,  47, 115
ih1202		FLvalue		" ", 40, 15, 123, 115
ih1203		FLvalue		" ", 40, 15, 199, 115
ih1204		FLvalue		" ", 40, 15, 275, 115
ih1205		FLvalue		" ", 40, 15, 351, 115

gk1251,ih1251 	FLknob		"Mod Freq", 	    1, 5000, -1, 1, ih1201, 40,  47, 70
gk1252,ih1252 	FLknob		"Mod indx", 	 0.01, 0.4,  -1, 1, ih1202, 40, 123, 70
gk1253,ih1253 	FLknob		"LFO Freq", 	    0.01, 20,-1, 1, ih1203, 40, 199, 70
gk1254,ih1254 	FLknob		"LFO amt", 	    0, 2,     0, 1, ih1204, 40, 275, 70
gk1255,ih1255 	FLknob		"Amp -> Freq", 	   -1, 3,     0, 1, ih1205, 40, 351, 70

		FLsetAlign	  2, ih1251
		FLsetAlign	  2, ih1252
		FLsetAlign	  2, ih1253
		FLsetAlign	  2, ih1254
		FLsetAlign	  2, ih1255
		FLsetVal_i 	400, ih1251
		FLsetVal_i 	0.3, ih1252
		FLsetVal_i 	  1, ih1253
		FLsetVal_i 	  0, ih1254
		FLsetVal_i 	  3, ih1255

ihF1241		FLbox		"Effect Sends", 5, 1 , 11, 376, 17, 30, 230

;ifxknobsize	= 40
;ifxvaly1	= 265
;ifxknoby1	= 210

ihF1201		FLvalue		" ", 40, 17,  30, ifxvaly1
ihF1203		FLvalue		" ", 40, 17, 126, ifxvaly1
ihF1204		FLvalue		" ", 40, 17, 174, ifxvaly1
ihF1205		FLvalue		" ", 40, 17, 222, ifxvaly1
ihF1206		FLvalue		" ", 40, 17, 270, ifxvaly1
ihF1207		FLvalue		" ", 40, 17, 318, ifxvaly1
ihF1208		FLvalue		" ", 40, 17, 366, ifxvaly1

gkF1211,ihF1211		FLknob		"Dry",  	    0, 1, 0, 1, ihF1201, ifxknobsize,  30, ifxknoby1
gkF1213,ihF1213		FLknob		"Filter1", 	    0, 1, 0, 1, ihF1203, ifxknobsize, 126, ifxknoby1
gkF1214,ihF1214		FLknob		"Distortion", 	    0, 1, 0, 1, ihF1204, ifxknobsize, 174, ifxknoby1
gkF1215,ihF1215		FLknob		"Filter2", 	    0, 1, 0, 1, ihF1205, ifxknobsize, 222, ifxknoby1
gkF1216,ihF1216		FLknob		"Delay1", 	    0, 1, 0, 1, ihF1206, ifxknobsize, 270, ifxknoby1
gkF1217,ihF1217		FLknob		"Delay2", 	    0, 1, 0, 1, ihF1207, ifxknobsize, 318, ifxknoby1
gkF1218,ihF1218		FLknob		"Reverb", 	    0, 1, 0, 1, ihF1208, ifxknobsize, 366, ifxknoby1

FLsetVal_i 	0.3, 	ihF1211
FLsetVal_i 	0, 	ihF1213
FLsetVal_i 	0, 	ihF1214
FLsetVal_i 	0, 	ihF1215
FLsetVal_i 	0, 	ihF1216
FLsetVal_i 	0, 	ihF1217
FLsetVal_i 	0.25, 	ihF1218

ihF1210		FLvalue		" ", 40, 15, 366, 340
gkF1220,ihF1220	FLslider        "Panning",  	  0, 1, 0, 1, ihF1210, 330, 15, 30, 340
FLsetVal_i 	0.5, 	ihF1220

		FLgroup_end
; *************************
		FLgroup	"Filter 1",  420, 325, 15, 30, 0

ih1301		FLvalue		" ", 40, 15,  47, 115
ih1302		FLvalue		" ", 40, 15, 123, 115
ih1303		FLvalue		" ", 40, 15, 199, 115
ih1304		FLvalue		" ", 40, 15, 275, 115
ih1305		FLvalue		" ", 40, 15, 351, 115

gk1351,ih1351 	FLknob		"Cutoff Freq", 	    10, 8000,-1, 1, ih1301, 40,  47, 70
gk1352,ih1352 	FLknob		"Filter Q", 	  0.01, 1,   -1, 1, ih1302, 40, 123, 70
gk1353,ih1353 	FLknob		"Amp LP", 	  0.01, 1,    0, 1, ih1303, 40, 199, 70
gk1354,ih1354 	FLknob		"Amp BP", 	  0.01, 1,    0, 1, ih1304, 40, 275, 70
gk1355,ih1355 	FLknob		"Amp HP", 	  0.01, 1,    0, 1, ih1305, 40, 351, 70

		FLsetAlign	2, 	ih1351
		FLsetAlign	2, 	ih1352
		FLsetAlign	2, 	ih1353
		FLsetAlign	2, 	ih1354
		FLsetAlign	2, 	ih1355
		FLsetVal_i 	500, 	ih1351
		FLsetVal_i 	0.1, 	ih1352
		FLsetVal_i 	0.3, 	ih1353
		FLsetVal_i 	0.8, 	ih1354
		FLsetVal_i 	1, 	ih1355

ih1306		FLvalue		" ", 40, 15,  47, 205
ih1307		FLvalue		" ", 40, 15, 123, 205
ih1308		FLvalue		" ", 40, 15, 199, 205

gk1356,ih1356 	FLknob		"LFO Freq", 	    0.01, 20,-1, 1, ih1306, 40,  47, 160
gk1357,ih1357 	FLknob		"LFO amt", 	    0, 2,     0, 1, ih1307, 40, 123, 160
gk1358,ih1358 	FLknob		"Amp -> Freq", 	   -1, 3,     0, 1, ih1308, 40, 199, 160

		FLsetAlign	2, 	ih1356
		FLsetAlign	2, 	ih1357
		FLsetAlign	2, 	ih1358
		FLsetVal_i 	1, 	ih1356
		FLsetVal_i 	0.7, 	ih1357
		FLsetVal_i 	3, 	ih1358

ihF1341		FLbox		"Effect Sends", 5, 1 , 11, 376, 17, 30, 230
;ifxknobsize	= 40
;ifxvaly1	= 305
;ifxknoby1	= 250

ihF1301		FLvalue		" ", 40, 17,  30, ifxvaly1
ihF1304		FLvalue		" ", 40, 17, 174, ifxvaly1
ihF1305		FLvalue		" ", 40, 17, 222, ifxvaly1
ihF1306		FLvalue		" ", 40, 17, 270, ifxvaly1
ihF1307		FLvalue		" ", 40, 17, 318, ifxvaly1
ihF1308		FLvalue		" ", 40, 17, 366, ifxvaly1

gkF1311,ihF1311		FLknob		"Dry",  	    0, 1, 0, 1, ihF1301, ifxknobsize,  30, ifxknoby1
gkF1314,ihF1314		FLknob		"Distortion", 	    0, 1, 0, 1, ihF1304, ifxknobsize, 174, ifxknoby1
gkF1315,ihF1315		FLknob		"Filter2", 	    0, 1, 0, 1, ihF1305, ifxknobsize, 222, ifxknoby1
gkF1316,ihF1316		FLknob		"Delay1", 	    0, 1, 0, 1, ihF1306, ifxknobsize, 270, ifxknoby1
gkF1317,ihF1317		FLknob		"Delay2", 	    0, 1, 0, 1, ihF1307, ifxknobsize, 318, ifxknoby1
gkF1318,ihF1318		FLknob		"Reverb", 	    0, 1, 0, 1, ihF1308, ifxknobsize, 366, ifxknoby1

FLsetVal_i 	1, 	ihF1311
FLsetVal_i 	0.5, 	ihF1314
FLsetVal_i 	0, 	ihF1315
FLsetVal_i 	0, 	ihF1316
FLsetVal_i 	0.6, 	ihF1317
FLsetVal_i 	0, 	ihF1318

ihF1310		FLvalue		" ", 40, 15, 366, 340
gkF1320,ihF1320	FLslider        "Panning",  	  0, 1, 0, 1, ihF1310, 330, 15, 30, 340
FLsetVal_i 	0.5, 	ihF1320

		FLgroup_end
; *************************
		FLgroup	"Distortion",  420, 325, 15, 30, 0

ih1401		FLvalue		" ", 40, 15,  57, 115
ih1402		FLvalue		" ", 40, 15, 151, 115
ih1403		FLvalue		" ", 40, 15, 245, 115
ih1404		FLvalue		" ", 40, 15, 339, 115

gk1451,ih1451 	FLknob		"Dist Drive", 	    1, 50,   -1, 1, ih1401, 40,  57, 70
gk1452,ih1452 	FLknob		"Dist Shape", 	    0, 10,    0, 1, ih1402, 40, 151, 70
gk1453,ih1453 	FLknob		"Post Filter", 	   20, 16000, 0, 1, ih1403, 40, 245, 70
gk1454,ih1454 	FLknob		"Amp -> Drive",    -20, 20,     0, 1, ih1404, 40, 339, 70

		FLsetAlign	2, 	ih1451
		FLsetAlign	2, 	ih1452
		FLsetAlign	2, 	ih1453
		FLsetAlign	2, 	ih1454
		FLsetVal_i 	6, 	ih1451
		FLsetVal_i 	0.2, 	ih1452
		FLsetVal_i 	3000,	ih1453
		FLsetVal_i 	3, 	ih1454

ihF1441		FLbox		"Effect Sends", 5, 1 , 11, 376, 17, 30, 230
;ifxknobsize	= 40
;ifxvaly1	= 265
;ifxknoby1	= 210

ihF1401		FLvalue		" ", 40, 17,  30, ifxvaly1
ihF1405		FLvalue		" ", 40, 17, 222, ifxvaly1
ihF1406		FLvalue		" ", 40, 17, 270, ifxvaly1
ihF1407		FLvalue		" ", 40, 17, 318, ifxvaly1
ihF1408		FLvalue		" ", 40, 17, 366, ifxvaly1

gkF1411,ihF1411		FLknob		"Dry",  	    0, 1, 0, 1, ihF1401, ifxknobsize,  30, ifxknoby1
gkF1415,ihF1415		FLknob		"Filter2", 	    0, 1, 0, 1, ihF1405, ifxknobsize, 222, ifxknoby1
gkF1416,ihF1416		FLknob		"Delay1", 	    0, 1, 0, 1, ihF1406, ifxknobsize, 270, ifxknoby1
gkF1417,ihF1417		FLknob		"Delay2", 	    0, 1, 0, 1, ihF1407, ifxknobsize, 318, ifxknoby1
gkF1418,ihF1418		FLknob		"Reverb", 	    0, 1, 0, 1, ihF1408, ifxknobsize, 366, ifxknoby1

FLsetVal_i 	1, 	ihF1411
FLsetVal_i 	0, 	ihF1415
FLsetVal_i 	0, 	ihF1416
FLsetVal_i 	0.3, 	ihF1417
FLsetVal_i 	0, 	ihF1418

ihF1410		FLvalue		" ", 40, 15, 366, 340
gkF1420,ihF1420	FLslider        "Panning",  	  0, 1, 0, 1, ihF1410, 330, 15, 30, 340
FLsetVal_i 	0.5, 	ihF1420

		FLgroup_end
; *************************
		FLgroup	"Filter 2",  420, 325, 15, 30, 0

ih1501		FLvalue		" ", 40, 15,  41, 115
ih1502		FLvalue		" ", 40, 15, 104, 115
ih1503		FLvalue		" ", 40, 15, 167, 115
ih1504		FLvalue		" ", 40, 15, 230, 115
ih1505		FLvalue		" ", 40, 15, 293, 115
ih1506		FLvalue		" ", 40, 15, 356, 115

gk1551,ih1551 	FLknob		"Cutoff Freq", 	    20, 8000,-1, 1, ih1501, 40,  41, 70
gk1552,ih1552 	FLknob		"Resonance", 	    0.1,   1, 0, 1, ih1502, 40, 104, 70
gk1553,ih1553 	FLknob		"Distortion", 	    0,    20, 0, 1, ih1503, 40, 167, 70
gk1554,ih1554 	FLknob		"LFO Freq", 	    0.01,20, -1, 1, ih1504, 40, 230, 70
gk1555,ih1555 	FLknob		"LFO amt", 	    0,   2,   0, 1, ih1505, 40, 293, 70
gk1556,ih1556 	FLknob		"Amp -> Freq", 	   -1,   3,   0, 1, ih1506, 40, 356, 70

		FLsetAlign	2, 	ih1551
		FLsetAlign	2, 	ih1552
		FLsetAlign	2, 	ih1553
		FLsetAlign	2, 	ih1554
		FLsetAlign	2, 	ih1555
		FLsetAlign	2, 	ih1556
		FLsetVal_i 	1100, 	ih1551
		FLsetVal_i 	0.5, 	ih1552
		FLsetVal_i 	7, 	ih1553
		FLsetVal_i 	0.15, 	ih1554
		FLsetVal_i 	0.12, 	ih1555
		FLsetVal_i 	3, 	ih1556

ihF1541		FLbox		"Effect Sends", 5, 1 , 11, 376, 17, 30, 230

ihF1501		FLvalue		" ", 40, 17,  30, ifxvaly1
ihF1506		FLvalue		" ", 40, 17, 270, ifxvaly1
ihF1507		FLvalue		" ", 40, 17, 318, ifxvaly1
ihF1508		FLvalue		" ", 40, 17, 366, ifxvaly1

gkF1511,ihF1511		FLknob		"Dry",  	    0, 1, 0, 1, ihF1501, ifxknobsize,  30, ifxknoby1
gkF1516,ihF1516		FLknob		"Delay1", 	    0, 1, 0, 1, ihF1506, ifxknobsize, 270, ifxknoby1
gkF1517,ihF1517		FLknob		"Delay2", 	    0, 1, 0, 1, ihF1507, ifxknobsize, 318, ifxknoby1
gkF1518,ihF1518		FLknob		"Reverb", 	    0, 1, 0, 1, ihF1508, ifxknobsize, 366, ifxknoby1

FLsetVal_i 	1, 	ihF1511
FLsetVal_i 	0.6, 	ihF1516
FLsetVal_i 	0, 	ihF1517
FLsetVal_i 	0.3, 	ihF1518

ihF1510		FLvalue		" ", 40, 15, 366, 340
gkF1520,ihF1520	FLslider        "Panning",  	  0, 1, 0, 1, ihF1510, 330, 15, 30, 340
FLsetVal_i 	0.5, 	ihF1520

		FLgroup_end
; *************************
		FLgroup	"Delay 1",  420, 325, 15, 30, 0

		FLlabel  	-1
		FLlabel  	10, 1, 1, 0, 0, 0
ih1650a		FLbox		"deltime subdiv (2, 4, 8, 16)", 1, 1, 10,  170, 20,  30,  40
ih1650b		FLbox		"straight/dotted/triplet", 1, 1, 10, 	   130, 20, 210,  40
ih1650c		FLbox		"delaytime", 		   1, 1, 10, 	    50, 20, 356,  40
ih1650d		FLbox		"L", 			   1, 1, 10, 	    20, 20,  10,  60
ih1650e		FLbox		"R", 			   1, 1, 10, 	    20, 20,  10,  80

gk1651a,ih1651a	FLbutBank	2,  4,  1, 				   170, 15,  30,  60, -105, -1
gk1651b,ih1651b	FLbutBank	2,  3,  1, 				   130, 15, 210,  60, -105, -1
gk1651c,ih1651c	FLbutBank	2,  4,  1, 				   170, 15,  30,  80, -105, -1
gk1651d,ih1651d	FLbutBank	2,  3,  1, 				   130, 15, 210,  80, -105, -1
gih1651vL	FLvalue		" ", 					    50, 15, 356,  60
gih1651vR	FLvalue		" ", 					    50, 15, 356,  80

ih1652b		FLbox		"Deltime, Tempofactor",  1, 1, 10, 	   376, 15,  30, 110
gk1652,ih1652	FLbutBank	2,  8,  1, 				   376, 15,  30, 125, -105, -1

gk1651a	init	2
gk1651c	init 	2
gk1651b	init 	1
gk1651d	init 	0
gk1652	init	1

		FLlabel  	-1
		FLlabel  	10, 1, 2, 0, 0, 0

ih1603		FLvalue		" ", 40, 17,  30, 215		; deltime fine L
ih1604		FLvalue		" ", 40, 17, 120, 215		; deltime fine R
ih1605		FLvalue		" ", 40, 17, 210, 215
ih1606		FLvalue		" ", 40, 17,  30, ifxvaly1
ih1607		FLvalue		" ", 40, 17,  90, ifxvaly1
ih1608		FLvalue		" ", 40, 17, 150, ifxvaly1
ih1609		FLvalue		" ", 40, 17, 210, ifxvaly1

gk1653,ih1653 	FLknob		"Deltime fine L",   -0.2, 0.2,  0, 1, ih1603, 	40,  30, 170
gk1654,ih1654 	FLknob		"Deltime fine R",   -0.2, 0.2,  0, 1, ih1604, 	40, 120, 170
gk1655,ih1655 	FLknob		"LFO Freq", 	    0.01, 5,   -1, 1, ih1605, 	40, 210, 170

gk1656,ih1656 	FLknob		"Feedback", 	    0, 1,       0, 1, ih1606, 	40,  30, ifxknoby1
gk1657,ih1657 	FLknob		"Fb Filter",      0, 10000,     0, 1, ih1607, 	40,  90, ifxknoby1
gk1658,ih1658 	FLknob		"LFO amtL", 	   -0.2, 0.2,   0, 1, ih1608, 	40, 150, ifxknoby1
gk1659,ih1659 	FLknob		"LFO amtR", 	   -0.2, 0.2,   0, 1, ih1609, 	40, 210, ifxknoby1

gk1660,ih1660 	FLbutton	"Unlink tempo",	    0, 1, 2,		   116, 30, 290, 180, -1, -1 

		FLsetAlign	2, 	ih1653
		FLsetAlign	2, 	ih1654
		FLsetAlign	2, 	ih1655
		FLsetAlign	2, 	ih1656
		FLsetAlign	2, 	ih1657
		FLsetAlign	2, 	ih1658
		FLsetAlign	2, 	ih1659
		FLsetAlign	1, 	ih1660
		FLsetVal_i 	0,	ih1653
		FLsetVal_i 	0,	ih1654
		FLsetVal_i 	0.7, 	ih1655
		FLsetVal_i 	0.35, 	ih1656
		FLsetVal_i 	6000, 	ih1657
		FLsetVal_i 	0, 	ih1658
		FLsetVal_i 	0, 	ih1659


ihF1641		FLbox		"Effect Sends", 5, 1 , 11, 136, 17, 270, 223

ihF1601		FLvalue		" ", 40, 17, 270, ifxvaly1
ihF1607		FLvalue		" ", 40, 17, 318, ifxvaly1
ihF1608		FLvalue		" ", 40, 17, 366, ifxvaly1

gkF1611,ihF1611		FLknob		"Dry",  	    0, 1, 0, 1, ihF1601, ifxknobsize, 270, ifxknoby1
gkF1617,ihF1617		FLknob		"Delay2", 	    0, 1, 0, 1, ihF1607, ifxknobsize, 318, ifxknoby1
gkF1618,ihF1618		FLknob		"Reverb", 	    0, 1, 0, 1, ihF1608, ifxknobsize, 366, ifxknoby1

FLsetVal_i 	1, 	ihF1611
FLsetVal_i 	0, 	ihF1617
FLsetVal_i 	0, 	ihF1618

ihF1610		FLvalue		" ", 40, 15, 366, 340
gkF1620,ihF1620	FLslider        "Panning",  	  0, 1, 0, 1, ihF1610, 330, 15, 30, 340
FLsetVal_i 	0.5, 	ihF1620

		FLgroup_end
; *************************
		FLgroup	"Delay 2",  420, 325, 15, 30, 0

		FLlabel  	-1
		FLlabel  	10, 1, 1, 0, 0, 0
ih1750a		FLbox		"deltime subdiv (2, 4, 8, 16)", 1, 1, 10,  170, 20,  30,  40
ih1750b		FLbox		"straight/dotted/triplet", 1, 1, 10, 	   130, 20, 210,  40
ih1750c		FLbox		"delaytime", 		   1, 1, 10, 	    50, 20, 356,  40
ih1750d		FLbox		"L", 			   1, 1, 10, 	    20, 20,  10,  60
ih1750e		FLbox		"R", 			   1, 1, 10, 	    20, 20,  10,  80

gk1751a,ih1751a	FLbutBank	2,  4,  1, 				   170, 15,  30,  60, -105, -1
gk1751b,ih1751b	FLbutBank	2,  3,  1, 				   130, 15, 210,  60, -105, -1
gk1751c,ih1751c	FLbutBank	2,  4,  1, 				   170, 15,  30,  80, -105, -1
gk1751d,ih1751d	FLbutBank	2,  3,  1, 				   130, 15, 210,  80, -105, -1
gih1751vL	FLvalue		" ", 					    50, 15, 356,  60
gih1751vR	FLvalue		" ", 					    50, 15, 356,  80

ih1752b		FLbox		"Deltime, Tempofactor",  1, 1, 10, 	   376, 15,  30, 110
gk1752,ih1752	FLbutBank	2,  8,  1, 				   376, 15,  30, 125, -105, -1

gk1751a	init	1
gk1751c	init 	1
gk1751b	init 	0
gk1751d	init 	1
gk1752	init	2

		FLlabel  	-1
		FLlabel  	10, 1, 2, 0, 0, 0

ih1703		FLvalue		" ", 40, 17,  30, 215		; deltime fine L
ih1704		FLvalue		" ", 40, 17, 120, 215		; deltime fine R
ih1705		FLvalue		" ", 40, 17, 210, 215
ih1706		FLvalue		" ", 40, 17,  30, ifxvaly1
ih1707		FLvalue		" ", 40, 17,  90, ifxvaly1
ih1708		FLvalue		" ", 40, 17, 150, ifxvaly1
ih1709		FLvalue		" ", 40, 17, 210, ifxvaly1

gk1753,ih1753 	FLknob		"Deltime fine L",   -0.2, 0.2,  0, 1, ih1703, 	40,  30, 170
gk1754,ih1754 	FLknob		"Deltime fine R",   -0.2, 0.2,  0, 1, ih1704, 	40, 120, 170
gk1755,ih1755 	FLknob		"LFO Freq", 	    0.01, 5,   -1, 1, ih1705, 	40, 210, 170

gk1756,ih1756 	FLknob		"Feedback", 	    0, 1,       0, 1, ih1706, 	40,  30, ifxknoby1
gk1757,ih1757 	FLknob		"Fb Filter",      0, 10000,     0, 1, ih1707, 	40,  90, ifxknoby1
gk1758,ih1758 	FLknob		"LFO amtL", 	   -0.2, 0.2,   0, 1, ih1708, 	40, 150, ifxknoby1
gk1759,ih1759 	FLknob		"LFO amtR", 	   -0.2, 0.2,   0, 1, ih1709, 	40, 210, ifxknoby1

gk1760,ih1760 	FLbutton	"Unlink tempo",	    0, 1, 2,		   116, 30, 290, 180, -1, -1 

		FLsetAlign	2, 	ih1753
		FLsetAlign	2, 	ih1754
		FLsetAlign	2, 	ih1755
		FLsetAlign	2, 	ih1756
		FLsetAlign	2, 	ih1757
		FLsetAlign	2, 	ih1758
		FLsetAlign	2, 	ih1759
		FLsetAlign	1, 	ih1760
		FLsetVal_i 	0,	ih1753
		FLsetVal_i 	0,	ih1754
		FLsetVal_i 	0.7, 	ih1755
		FLsetVal_i 	0.35, 	ih1756
		FLsetVal_i 	6000, 	ih1757
		FLsetVal_i 	0, 	ih1758
		FLsetVal_i 	0, 	ih1759


ihF1741		FLbox		"Effect Sends", 5, 1 , 11, 136, 17, 270, 223

ihF1701		FLvalue		" ", 40, 17, 270, ifxvaly1
ihF1707		FLvalue		" ", 40, 17, 318, ifxvaly1
ihF1708		FLvalue		" ", 40, 17, 366, ifxvaly1

gkF1711,ihF1711		FLknob		"Dry",  	    0, 1, 0, 1, ihF1701, ifxknobsize, 270, ifxknoby1
gkF1717,ihF1717		FLknob		"Delay2", 	    0, 1, 0, 1, ihF1707, ifxknobsize, 318, ifxknoby1
gkF1718,ihF1718		FLknob		"Reverb", 	    0, 1, 0, 1, ihF1708, ifxknobsize, 366, ifxknoby1

FLsetVal_i 	1, 	ihF1711
FLsetVal_i 	0, 	ihF1717
FLsetVal_i 	0, 	ihF1718

ihF1710		FLvalue		" ", 40, 15, 366, 340
gkF1720,ihF1720	FLslider        "Panning",  	  0, 1, 0, 1, ihF1710, 330, 15, 30, 340
FLsetVal_i 	0.5, 	ihF1720

		FLgroup_end
; *************************
		FLgroup	"Reverb",  420, 325, 15, 30, 0

ih1801		FLvalue		" ", 40, 15,  47, 115
ih1802		FLvalue		" ", 40, 15, 123, 115
ih1803		FLvalue		" ", 40, 15, 199, 115
ih1804		FLvalue		" ", 40, 15, 275, 115
ih1805		FLvalue		" ", 40, 15, 351, 115

gk1851,ih1851 	FLknob		"Reverb Feedb",	    0, 1,   130, 1, ih1801, 40,  47, 70
gk1852,ih1852 	FLknob		"Pre Delay", 	0.001, 0.1,   0, 1, ih1802, 40, 123, 70
gk1853,ih1853 	FLknob		"HP Damp", 	    1, 15000, 0, 1, ih1803, 40, 199, 70
gk1854,ih1854 	FLknob		"LF Rolloff", 	    1, 1000,  0, 1, ih1804, 40, 275, 70
gk1855,ih1855 	FLknob		"Pitchmod", 	    0, 4,     0, 1, ih1805, 40, 351, 70

		FLsetAlign	2, 	ih1851
		FLsetAlign	2, 	ih1852
		FLsetAlign	2, 	ih1853
		FLsetAlign	2, 	ih1854
		FLsetAlign	2, 	ih1855
		FLsetVal_i 	0.55, 	ih1851
		FLsetVal_i 	0.1, 	ih1852
		FLsetVal_i 	10000, 	ih1853
		FLsetVal_i 	140, 	ih1854
		FLsetVal_i 	0.98, 	ih1855

ihF1841		FLbox		"Effect Sends", 5, 1 , 11, 143, 17, 263, 230
;ifxknobsize	= 40
;ifxvaly1	= 295
;ifxknoby1	= 240

ihF1801		FLvalue		" ", 40, 17, 263, ifxvaly1

gkF1811,ihF1811		FLknob		"Dry",  	    0, 1, 0, 1, ihF1801, ifxknobsize, 263, ifxknoby1

FLsetVal_i 	1, 	ihF1811

ihF1810		FLvalue		" ", 40, 15, 366, 340
gkF1820,ihF1820	FLslider        "Panning",  	  0, 1, 0, 1, ihF1810, 330, 15, 30, 340
FLsetVal_i 	0.5, 	ihF1820

		FLgroup_end
; *************************

		FLtabs_end
        	FLpanel_end     ;***** end of container

;*******************************

;*******************************
		FLrun
;*******************************

;EFX 
;tempo setting
gkbtpo		= gk420		; tempo for delays

;RingMod
gkfx_rm_mfrq	= gk1151	; Mod Freq
gkfx_rm_mndx	= gk1152	; Mod indx
gkfx_rm_lfrq	= gk1153	; LFO Freq
gkfx_rm_lamt	= gk1154 	; LFO amt
gkfx_rm_afrq	= gk1155	; Amp -> Freq
gkfx_rm_dry	= gkF1111	; Dry
gkfx_rm_fm	= gkF1113	; FreqMod
gkfx_rm_flt1	= gkF1114	; Filter1
gkfx_rm_dist	= gkF1115	; Distortion
gkfx_rm_flt2	= gkF1116 	; Filter2
gkfx_rm_dly1	= gkF1117	; Delay1
gkfx_rm_dly2	= gkF1118	; Delay2
gkfx_rm_rvb 	= gkF1119	; Reverb
gkfx_rm_pan	= gkF1120	; Panning

;FreqMod
gkfx_fm_mfrq	= gk1251	; Mod Freq
gkfx_fm_mndx	= gk1252	; Mod indx
gkfx_fm_lfrq	= gk1253	; LFO Freq
gkfx_fm_lamt	= gk1254	; LFO amt
gkfx_fm_afrq	= gk1255	; Amp -> Freq
gkfx_fm_dry	= gkF1211	; Dry
gkfx_fm_flt1	= gkF1213	; Filter1
gkfx_fm_dist	= gkF1214	; Distortion
gkfx_fm_flt2	= gkF1215	; Filter2
gkfx_fm_dly1	= gkF1216	; Delay1
gkfx_fm_dly2	= gkF1217	; Delay2
gkfx_fm_rvb	= gkF1218	; Reverb
gkfx_fm_pan	= gkF1220	; Panning

;Filter 1	
gkfx_f1_cfrq	= gk1351	; Cutoff Freq
gkfx_f1_q	= gk1352	; Filter Q
gkfx_f1_lp	= gk1353	; Lopass amplitude
gkfx_f1_bp	= gk1354	; Bandpass amplitude
gkfx_f1_hp	= gk1355	; Hipass amplitude
gkfx_f1_lfrq	= gk1356	; LFO Freq
gkfx_f1_lamt	= gk1357	; LFO amt
gkfx_f1_afrq	= gk1358	; Amp -> Freq
gkfx_f1_dry	= gkF1311	; Dry
gkfx_f1_dist	= gkF1314	; Distortion
gkfx_f1_flt2	= gkF1315	; Filter2
gkfx_f1_dly1	= gkF1316	; Delay1
gkfx_f1_dly2	= gkF1317	; Delay2
gkfx_f1_rvb	= gkF1318	; Reverb
gkfx_f1_pan	= gkF1320	; Panning

;Distortion
gkfx_ds_drv	= gk1451	; Dist Drive
gkfx_ds_shp	= gk1452	; Dist Shape
gkfx_ds_pflt	= gk1453	; Post Filter
gkfx_ds_adrv	= gk1454	; Amp -> Drive
gkfx_ds_dry	= gkF1411	; Dry
gkfx_ds_flt2	= gkF1415	; Filter2
gkfx_ds_dly1	= gkF1416	; Delay1
gkfx_ds_dly2	= gkF1417	; Delay2
gkfx_ds_rvb	= gkF1418	; Reverb
gkfx_ds_pan	= gkF1420	; Panning

;Filter 2
gkfx_f2_cfrq	= gk1551	; Cutoff Freq
gkfx_f2_res	= gk1552	; Resonance
gkfx_f2_dst	= gk1553	; Dist
gkfx_f2_lfrq	= gk1554	; LFO Freq
gkfx_f2_lamt	= gk1555	; LFO amt
gkfx_f2_afrq	= gk1556	; Amp -> Freq
gkfx_f2_dry	= gkF1511	; Dry
gkfx_f2_dly1	= gkF1516	; Delay1
gkfx_f2_dly2	= gkF1517	; Delay2
gkfx_f2_rvb	= gkF1518	; Reverb
gkfx_f2_pan	= gkF1520	; Panning

;Delay 1
gkfx_d1_subL	table gk1651a, 182 ; Left  deltime subdiv (2, 4, 8, 16)
gkfx_d1_subR	table gk1651c, 182 ; Right deltime subdiv (2, 4, 8, 16)
gkfx_d1_noteL	table gk1651b, 183 ; Left  straight/dotted/triplet
gkfx_d1_noteR	table gk1651d, 183 ; Right straight/dotted/triplet
gkfx_d1_timul	table gk1652,  184 ; Deltime, Tempofactor
gkfx_d1_timfL	= gk1653	; Left  deltime fine
gkfx_d1_timfR	= gk1654	; Left  deltime fine
gkfx_d1_fb	= gk1656	; Feedback
gkfx_d1_flt	= gk1657	; Fb FilterFrq
gkfx_d1_lfrq	= gk1655	; LFO Freq
gkfx_d1_lamtL	= gk1658	; Left  LFO amt
gkfx_d1_lamtR	= gk1659	; Right LFO amt
gkfx_d1_unl	= gk1660	; Unlink tempo
gkfx_d1_dry	= gkF1611	; Dry
gkfx_d1_dly2	= gkF1617	; Delay2
gkfx_d1_rvb	= gkF1618	; Reverb
gkfx_d1_pan	= gkF1620	; Panning

;Delay 2
gkfx_d2_subL	table gk1751a, 182 ; Left  deltime subdiv (2, 4, 8, 16)
gkfx_d2_subR	table gk1751c, 182 ; Right deltime subdiv (2, 4, 8, 16)
gkfx_d2_noteL	table gk1751b, 183 ; Left  straight/dotted/triplet
gkfx_d2_noteR	table gk1751d, 183 ; Right straight/dotted/triplet
gkfx_d2_timul	table gk1752,  184 ; Deltime, Tempofactor
gkfx_d2_timfL	= gk1753	; Left  deltime fine
gkfx_d2_timfR	= gk1754	; Left  deltime fine
gkfx_d2_fb	= gk1756	; Feedback
gkfx_d2_flt	= gk1757	; Fb FilterFrq
gkfx_d2_lfrq	= gk1755	; LFO Freq
gkfx_d2_lamtL	= gk1758	; Left  LFO amt
gkfx_d2_lamtR	= gk1759	; Right LFO amt
gkfx_d2_unl	= gk1760	; Unlink tempo
gkfx_d2_dry	= gkF1711	; Dry
gkfx_d2_dly2	= gkF1717	; Delay2
gkfx_d2_rvb	= gkF1718	; Reverb
gkfx_d2_pan	= gkF1720	; Panning

;Reverb
gkfx_rv_tim	= gk1851	; Reverb Time
gkfx_rv_pdly	= gk1852	; Pre Delay
gkfx_rv_hf	= gk1853	; HP Damp
gkfx_rv_lf	= gk1854	; LF Rolloff
gkfx_rv_pmod	= gk1855	; Pitchmod
gkfx_rv_dry	= gkF1811	; Dry
gkfx_rv_pan	= gkF1820	; Panning


endin


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	instr	2

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
iamp	= (p4 * 2000) + 2000		; speed = amp

kphsX	= p6*giwidth			; *** X axis of image scanning


kphsY	= p5*(giheight-2) 			; *** Y axis of image scanning


;ktrig	= 1

;	FLsetOverlay	ktrig,kphsX,kphsY,4,4,gih2 	;*** display moving cursor of the image



kenv	linsegr	0,  1   ,iamp,1,iamp,.1,0

ktrig	metro	50  ;*** the cursor of the image is updated X times per second

kR, kG, kB, kA 	bmoscili	0, 1, 1, ktrig, ktrig, kphsX, kphsY, 1 

;kR	tonek	kR, 8
;kG	tonek	kG, 8
;kB	tonek	kB, 8
;kA	tonek	kA, 8
aR	oscil	kR*0.004, kR*5, 93
aG	oscil	kG*0.004, kG*7, 93
aB	oscil	kB*0.004, kB*9, 93
aA	oscil	kA*0.004, kA*1, 93

kres	= ((1-p5) * 0.3) + 0.4
kdist	= (1-p5) * 0.4 
aR	lpf18	aR, kR*5*(2-p5), kres, kdist
aG	lpf18	aG, kG*7*(2-p5), kres, kdist
aB	lpf18	aB, kB*9*(2-p5), kres, kdist
aA	lpf18	aA, kA*1*(2-p5), kres, kdist

;***
isemi1	table	(1-p5)*36, 2			; Y coordinate, quantized to semitone, three octave range
icps1	= (cpsoct(int(isemi1+69)/12)+3)		; transposed to audible range, expressed in cps

ioct2	= int(p7)				; month of observation
ktrig	= (ioct2 = gkoct ? 0 : 1 )		; if octave (month) parameter has changed, enable trig
gkoct	= ioct2					; update global for next comparision
schedkwhen	ktrig, 0,2,3,0,2

a1a	oscil	1, icps1*1.999, 93
a1b	oscil	1, icps1*2.001, 93
a12	oscil	0.4, icps1*8, 93
a1	= a1a + a1b + a12

;***

ipan	= p6
aenv	linen	iamp, 0.002, p3, 0.025		; p3-0.0005 for mye avvik, gr negativ
;aenv	envlpx	iamp, 0.002, p3, 0.05, 80, 1, 0.01


apict	= (aR+aG+aB+aA)* aenv
axy	= a1 * aenv
aclean	= axy + (apict*0.2)
ao	= apict 
arevb	= apict + aclean
;aLeft	= axy * (1-ipan)
;aRight	= axy * ipan
;	outs	aLeft, aRight
;EFX and dry out amplitudes

	zawm	aclean*(1-ipan), 	4	; send to clean out Left
	zawm	aclean*ipan,	 	5	; send to clean out Right
	zawm	ao * 0	, 		6	; send to RingMod
	zawm	ao * 0	, 		7	; send to FreqMod	
	zawm	ao * 0  , 		8	; send to Filter1	
	zawm	ao * 0	, 		9	; send to Distortion	
	zawm	ao * 0.3  , 		10	; send to Filter2	
	zawm	ao * 0	, 		11	; send to Delay1	
	zawm	ao * 0	, 		12	; send to Delay2	
	zawm	arevb * 0.1, 		13	; send to Reverb

	endin


;**********
instr 3

iamp	= 2200
ipan	= 0.5
;aenv	linen 	iamp, 0.05, p3, 1.95
aenv	expseg	0.01, 0.05, 1, 0.1, 1, 0.3, 0.6, p3-0.85, 0.6, 0.5, 0.01, 1, 0.01
aenv	= (aenv-0.01)*iamp

isemi1	table	i(gkoct), 3			; quantized to pentatone
print	isemi1
icps	= (cpsoct(int(isemi1+62)/12)+3)		; transposed to audible range, expressed in cps
print	i(gkoct)
a1	oscil	1, icps*0.999, 97
a2	oscil	1, icps*1.001, 97

kdist1	linseg	0, 0.2,  0.3,    0.4, 0.1,  1, 0, 1, 0
kfco1	linseg	icps*0.5, 0.05, icps*2, 0.2, icps*1.3, 1, icps*0.7, 1, icps*0.7
ires1	= 0.5
kdist2	linseg	0, 0.15,  0.25,    0.4, 0.15,  1, 0, 1, 0
kfco2	linseg	icps*0.5, 0.25, icps*2.2, 0.2, icps*1.5, 1, icps*0.8, 1, icps*0.8
ires2	= 0.4

a1	lpf18	a1, kfco1, ires1, kdist1*0.3
a2	lpf18	a2, kfco2, ires2, kdist2*0.3

a1	= (a1+a2) * aenv
;a1	= a1*2*aenv
;outs	a1, a1

aclean	= a1 * 0.7
;EFX and dry out amplitudes

	zawm	aclean*(1-ipan), 		4	; send to clean out Left
	zawm	aclean*ipan,	 	5	; send to clean out Right
	zawm	a1 * 0	, 		6	; send to RingMod
	zawm	a1 * 0	, 		7	; send to FreqMod	
	zawm	a1 * 0.45  , 		8	; send to Filter1	
	zawm	a1 * 0	, 		9	; send to Distortion	
	zawm	a1 * 0  , 		10	; send to Filter2	
	zawm	a1 * 0	, 		11	; send to Delay1	
	zawm	a1 * 0	, 		12	; send to Delay2	
	zawm	a1 * 0, 		13	; send to Reverb


endin
;***********



;****************************************************************
; EFX channel "keep it alive instr", 
;****************************************************************
; this instr runs bogus/unhearable audio values through the efx/output channels
; this stabilizes the audio patching channels and thus avoids dropouts
; it's a hack, it works around the underflow bug of intel processors

	instr 90


; prevents underflow in filters
iamp	= 1
a1	 rand	iamp

;EFX and dry out amplitudes

	zawm	a1, 4	; send to clean out Left
	zawm	a1, 5	; send to clean out Right
	zawm	a1, 6	; send to RingMod
	zawm	a1, 7	; send to FreqMod	
	zawm	a1, 8	; send to Filter1	
	zawm	a1, 9	; send to Distortion	
	zawm	a1, 10	; send to Filter2	
	zawm	a1, 11	; send to Delay1	
	zawm	a1, 12	; send to Delay2	
	zawm	a1, 13	; send to Reverb

	endin
;****************************************************************
;****************************************************************


;****************************************************************
; Ring Mod1 instr
;****************************************************************
	instr 91

	a1	zar	6
	a1	= a1 / 32768

	kmodfrq	= gkfx_rm_mfrq				; modulator freq
	kbal	= gkfx_rm_mndx				; modulation index (balance)
	krms	rms	a1, 5				; get rms of input signal
	kampmod	= krms * gkfx_rm_afrq / 32000		; amount of amp->freq
	kmodfrq	= kmodfrq + (kmodfrq*kampmod)		; input amp modifies mod freq
	klfo	oscil	gkfx_rm_lamt, gkfx_rm_lfrq, 93	; make lfo
	kmodfrq	= kmodfrq + (kmodfrq*klfo)		; lfo modifies mod freq
	amod	oscil	1, kmodfrq, 93			; modulator oscil
	arm	= a1 * amod				; calculate ring mod
	aout	= ((arm * kbal) + (a1 * (1-kbal)) ) * 32768

;EFX and dry out amplitudes
	zawm	aout * gkfx_rm_dry * (1-gkfx_rm_pan), 	4	; send to clean out Left
	zawm	aout * gkfx_rm_dry * gkfx_rm_pan, 	5	; send to clean out Right
	zawm	aout * gkfx_rm_fm  , 			7	; send to FreqMod	
	zawm	aout * gkfx_rm_flt1, 			8	; send to Filter1	
	zawm	aout * gkfx_rm_dist, 			9	; send to Distortion	
	zawm	aout * gkfx_rm_flt2, 			10	; send to Filter2	
	zawm	aout * gkfx_rm_dly1, 			11	; send to Delay1	
	zawm	aout * gkfx_rm_dly2, 			12	; send to Delay2	
	zawm	aout * gkfx_rm_rvb , 			13	; send to Reverb

	endin
;****************************************************************
;****************************************************************

;****************************************************************
; Freq Mod effect instr
;****************************************************************
	instr 92

;frequency modulation implemented as an a-rate variable delay line
	a1	zar	7

	kmodfrq	= gkfx_fm_mfrq				; modulator freq
	kmodndx	= gkfx_fm_mndx*0.1			; modulation index
	krms	rms	a1, 5				; get rms of input signal
	kampmod	= krms * gkfx_fm_afrq / 32000		; amount of amp->freq
	kmodfrq	= kmodfrq + (kmodfrq*kampmod)		; input amp modifies mod freq
	klfo	oscil	gkfx_fm_lamt, gkfx_fm_lfrq, 93	; make lfo
	kmodfrq	= kmodfrq + (kmodfrq*klfo)		; lfo modifies mod freq

	imaxdel	= 2
	iwinsiz	= 8

	amod	oscil	kmodndx, kmodfrq, 93
	amod	= amod + kmodndx + 0.001
	acar	vdelayx	a1, amod, imaxdel, iwinsiz

;EFX and dry out amplitudes
	zawm	acar * gkfx_fm_dry * (1-gkfx_fm_pan), 	4	; send to clean out Left
	zawm	acar * gkfx_fm_dry * gkfx_fm_pan, 	5	; send to clean out Right
	zawm	acar * gkfx_fm_flt1, 			8	; send to Filter1	
	zawm	acar * gkfx_fm_dist, 			9	; send to Distortion	
	zawm	acar * gkfx_fm_flt2, 			10	; send to Filter2	
	zawm	acar * gkfx_fm_dly1, 			11	; send to Delay1	
	zawm	acar * gkfx_fm_dly2, 			12	; send to Delay2	
	zawm	acar * gkfx_fm_rvb , 			13	; send to Reverb

	endin
;****************************************************************
;****************************************************************

;****************************************************************
; Filter 1  instr
;****************************************************************
	instr 93

	a1	zar	8

	kfreq	= gkfx_f1_cfrq				; filter freq
	kq	= gkfx_f1_q*(kfreq*0.5)			; filter Q
	krms	rms	a1, 5				; get rms of input signal
	kampmod	= krms * gkfx_f1_afrq / 32000		; amount of amp->freq
	kfreq	= kfreq + (kfreq*kampmod)		; input amp modifies freq
	klfo	oscil	gkfx_f1_lamt, gkfx_f1_lfrq, 93	; make lfo
	kfreq 	= kfreq + (kfreq*klfo)			; lfo modifies freq
	kfreq	= (kfreq > 20000 ? 20000 : kfreq)	; limit upper range to 20000
	kfreq	= (kfreq < 20 ? 20 : kfreq)		; limit lower range to 20

	alp,ahp,abp	svfilter	a1, kfreq, kq
	alp	balance	alp, a1
	abp	balance	abp, a1
	ahp	balance	ahp, a1
	ares	mac	gkfx_f1_lp, alp, gkfx_f1_bp, abp, gkfx_f1_hp, ahp	; add and multiply

;EFX and dry out amplitudes
	zawm	ares * gkfx_f1_dry * (1-gkfx_f1_pan), 	4	; send to clean out Left
	zawm	ares * gkfx_f1_dry * gkfx_f1_pan, 	5	; send to clean out Right
	zawm	ares * gkfx_f1_dist, 			9	; send to Distortion	
	zawm	ares * gkfx_f1_flt2, 			10	; send to Filter2	
	zawm	ares * gkfx_f1_dly1, 			11	; send to Delay1	
	zawm	ares * gkfx_f1_dly2, 			12	; send to Delay2	
	zawm	ares * gkfx_f1_rvb , 			13	; send to Reverb

	endin
;****************************************************************
;****************************************************************

;****************************************************************
; Distortion  instr
;****************************************************************
	instr 94

	a1	zar	9

	kpregain	= gkfx_ds_drv
	krms		rms	a1, 5				; get rms of input signal
	kampmod		= krms * gkfx_ds_adrv / 32000		; amount of amp->freq
	kpregain	= kpregain + (kpregain*kampmod)		; input amp modifies dist drive (+/- range)
	kpostgain	= (0.5 / kpregain) * (kpregain*0.5)	; auto set output gain corresponding to input drive
	kshape1 	= gkfx_ds_shp*2				
	kshape2		= gkfx_ds_shp

	adist	distort1	a1, kpregain, kpostgain, kshape1, kshape2
	aout	rezzy	adist, gkfx_ds_pflt*0.4, 2		; post dist filter

;EFX and dry out amplitudes
	zawm	aout * gkfx_ds_dry * (1-gkfx_ds_pan), 	4	; send to clean out Left
	zawm	aout * gkfx_ds_dry * gkfx_ds_pan, 	5	; send to clean out Right
	zawm	aout * gkfx_ds_flt2, 			10	; send to Filter2	
	zawm	aout * gkfx_ds_dly1, 			11	; send to Delay1	
	zawm	aout * gkfx_ds_dly2, 			12	; send to Delay2	
	zawm	aout * gkfx_ds_rvb , 			13	; send to Reverb

	endin
;****************************************************************
;****************************************************************

;****************************************************************
; Filter 2  instr
;****************************************************************
	instr 95

	a1	zar	10
	kfreq	= gkfx_f2_cfrq				; filter freq
	kres	= gkfx_f2_res				; filter bandwidth
	kdist	= gkfx_f2_dst				; filter dist
	krms	rms	a1				; get rms of input signal
	kampmod	= krms * gkfx_f2_afrq / 32000		; amount of amp->freq
	kfreq	= kfreq + (kfreq*kampmod)		; input amp modifies mod freq
	klfo	oscil	gkfx_f2_lamt, gkfx_f2_lfrq, 93	; make lfo
	kfreq	= kfreq + (kfreq*klfo)			; lfo modifies mod freq
	kfreq	= (kfreq > 20000 ? 20000 : kfreq)	; limit upper range to 20000
	kfreq	= (kfreq < 20 ? 20 : kfreq)		; limit lower range to 20

	a2	= a1 / 32000
	ares	lpf18	a2, kfreq, kres, kdist
	ares	balance	ares, a2
	ares	= ares * 32000

;EFX and dry out amplitudes
	zawm	ares * gkfx_f2_dry * (1-gkfx_f2_pan), 	4	; send to clean out Left
	zawm	ares * gkfx_f2_dry * gkfx_f2_pan, 	5	; send to clean out Right
	zawm	ares * gkfx_f2_dly1, 			11	; send to Delay1	
	zawm	ares * gkfx_f2_dly2, 			12	; send to Delay2	
	zawm	ares * gkfx_f2_rvb , 			13	; send to Reverb

	endin
;****************************************************************
;****************************************************************

;****************************************************************
; delay 1  instr
;****************************************************************
	instr 96
; Delay 1:
; Xfeed ??

	a1	zar	11
	kinlevl	= 1					; input level
	kfblevl	= gkfx_d1_fb				; feedback level
	kffrq	= gkfx_d1_flt				; feedback filter freq
	kfineL	= gkfx_d1_timfL				; Left  delay time fine adjust
	kfineR	= gkfx_d1_timfR				; Right delay time fine adjust

	klfo	oscil	gkfx_d1_lfrq, 1, 93
	klfoL	= (klfo * gkfx_d1_lamtL)+ gkfx_d1_lamtL	; range and offset
	klfoR	= (klfo * gkfx_d1_lamtR)+ gkfx_d1_lamtR	; range and offset


	imaxdel	= 14					; maximum delay time
	kbtpo	init	4				; init in case unlink on
if gkfx_d1_unl = 0 kgoto contin				; skip master tempo synchronizing if "unlink" is active
	kbtpo	= 240 / gkbtpo 				; sync to master tempo
contin:
	kmult	= kbtpo / gkfx_d1_timul			; multiply, master delay tempo factor
	kdeltL	= kmult / (gkfx_d1_subL * gkfx_d1_noteL); calculate subdivision and note value
	kdeltR	= kmult / (gkfx_d1_subR * gkfx_d1_noteR); calculate subdivision and note value
	kdeltL	= kdeltL + (kdeltL*kfineL) + (kdeltL*klfoL)	; fine tune and LFO
	kdeltR	= kdeltR + (kdeltR*kfineR) + (kdeltR*klfoR)	; fine tune and LFO
	FLprintk2	kdeltL, gih1651vL		; print to GUI
	FLprintk2	kdeltR, gih1651vR		; print to GUI

	adeltL	upsamp 	kdeltL				; smoothing
	adeltR	upsamp 	kdeltR				; smoothing
	adeltL	tone	adeltL, 20			; smoothing
	adeltR	tone	adeltR, 20			; smoothing

	adummy	delayr imaxdel				; establish delay line
	adelayL	deltapi adeltL 				; tap delay Left
	adelwL	= (a1*kinlevl) + (adelayL*kfblevl)	; mix input and feedback
	adelwL	butterlp	adelwL, kffrq		; filter delay signal
		delayw	adelwL				; write source to delay line

	adummy	delayr imaxdel				; establish delay line
	adelayR	deltapi adeltR				; tap delay Right
	adelwR	= (a1*kinlevl) + (adelayR*kfblevl)	; mix input and feedback
	adelwR	butterlp	adelwR, kffrq		; filter delay signal
		delayw	adelwR				; write source to delay line


;EFX and dry out amplitudes
	amono	= (adelayL + adelayR ) * 0.5

	zawm	adelayL * gkfx_d1_dry * (1-gkfx_d1_pan),4	; send to clean out Left
	zawm	adelayR * gkfx_d1_dry * gkfx_d1_pan, 	5	; send to clean out Right
	zawm	amono * gkfx_d1_dly2, 			12	; send to Delay2	
	zawm	amono * gkfx_d1_rvb , 			13	; send to Reverb

	endin
;****************************************************************
;****************************************************************

;****************************************************************
; delay 2  instr
;****************************************************************
	instr 97

	a1	zar	12
	kinlevl	= 1					; input level
	kfblevl	= gkfx_d2_fb				; feedback level
	kffrq	= gkfx_d2_flt				; feedback filter freq
	kfineL	= gkfx_d2_timfL				; Left  delay time fine adjust
	kfineR	= gkfx_d2_timfR				; Right delay time fine adjust

	klfo	oscil	gkfx_d2_lfrq, 1, 93
	klfoL	= (klfo * gkfx_d2_lamtL)+ gkfx_d2_lamtL	; range and offset
	klfoR	= (klfo * gkfx_d2_lamtR)+ gkfx_d2_lamtR	; range and offset


	imaxdel	= 14					; maximum delay time
	kbtpo	init	4				; init in case unlink on
if gkfx_d2_unl = 0 kgoto contin				; skip master tempo synchronizing if "unlink" is active
	kbtpo	= 240 / gkbtpo 				; sync to master tempo
contin:
	kmult	= kbtpo / gkfx_d2_timul			; multiply, master delay tempo factor
	kdeltL	= kmult / (gkfx_d2_subL * gkfx_d2_noteL); calculate subdivision and note value
	kdeltR	= kmult / (gkfx_d2_subR * gkfx_d2_noteR); calculate subdivision and note value
	kdeltL	= kdeltL + (kdeltL*kfineL) + (kdeltL*klfoL)	; fine tune and LFO
	kdeltR	= kdeltR + (kdeltR*kfineR) + (kdeltR*klfoR)	; fine tune and LFO
	FLprintk2	kdeltL, gih1751vL		; print to GUI
	FLprintk2	kdeltR, gih1751vR		; print to GUI

	adeltL	upsamp 	kdeltL				; smoothing
	adeltR	upsamp 	kdeltR				; smoothing
	adeltL	tone	adeltL, 20			; smoothing
	adeltR	tone	adeltR, 20			; smoothing

	adummy	delayr imaxdel				; establish delay line
	adelayL	deltapi adeltL 				; tap delay Left
	adelwL	= (a1*kinlevl) + (adelayL*kfblevl)	; mix input and feedback
	adelwL	butterlp	adelwL, kffrq		; filter delay signal
		delayw	adelwL				; write source to delay line

	adummy	delayr imaxdel				; establish delay line
	adelayR	deltapi adeltR				; tap delay Right
	adelwR	= (a1*kinlevl) + (adelayR*kfblevl)	; mix input and feedback
	adelwR	butterlp	adelwR, kffrq		; filter delay signal
		delayw	adelwR				; write source to delay line


;EFX and dry out amplitudes
	amono	= (adelayL + adelayR ) * 0.5

	zawm	adelayL * gkfx_d2_dry * (1-gkfx_d1_pan),4	; send to clean out Left
	zawm	adelayR * gkfx_d2_dry * gkfx_d1_pan, 	5	; send to clean out Right
	zawm	amono * gkfx_d2_rvb , 			13	; send to Reverb

	endin
;****************************************************************
;****************************************************************

;****************************************************************
; WG reverb instr
;****************************************************************

; 8 delay line FDN reverb, with feedback matrix based upon 
; physical modeling scattering junction of 8 lossless waveguides
; of equal characteristic impedance. Based on Julius O. Smith III, 
; "A New Approach to Digital Reverberation using Closed Waveguide
; Networks," Proceedings of the International Computer Music 
; Conference 1985, p. 47-53 (also available as a seperate
; publication from CCRMA), as well as some more recent papers by
; Smith and others.
;
; Coded by Sean Costello, October 1999

instr 98        

ain	zar	13			; input signal

kpre	= gkfx_rv_pdly*1000		; predelay is in millisecs
a1	vdelay	ain, kpre, 1000		; Pre Delay

inlevl	= 0.5				; input level
ioutlevl = 0.5				; output level
klfroll		tonek gkfx_rv_lf, 0.1	; LF rolloff freq

kgain 		tonek gkfx_rv_tim, 0.1	; gain of reverb. Adjust empirically
                			; for desired reverb time. .6 gives
                			; a good small "live" room sound, .8
                			; a small hall, .9 a large hall,
                			; .99 an enormous stone cavern.

kpitchmod	tonek gkfx_rv_pmod, 0.1	; amount of random pitch modulation
                			; for the delay lines. 1 is the "normal"
                			; amount, but this may be too high for
                			; held pitches such as piano tones.
                			; Adjust to taste.

ktone 		tonek gkfx_rv_hf, 0.1	; Cutoff frequency of lowpass filters
                			; in feedback loops of delay lines,
                			; in Hz. Lower cutoff frequencies results
                			; in a sound with more high-frequency
                			; damping.

        
afilt1 init 0
afilt2 init 0
afilt3 init 0
afilt4 init 0
afilt5 init 0
afilt6 init 0
afilt7 init 0
afilt8 init 0

; Delay times chosen to be prime numbers.
; Works with sr=44100 ONLY. If you wish to
; use a different delay time, find some new
; prime numbers that will give roughly the
; same delay times for the new sampling rate. 
; Or adjust to taste.
idel1 = (2473.000/sr)
idel2 = (2767.000/sr)
idel3 = (3217.000/sr)
idel4 = (3557.000/sr)
idel5 = (3907.000/sr)
idel6 = (4127.000/sr)
idel7 = (2143.000/sr)
idel8 = (1933.000/sr)

; k1-k8 are used to add random pitch modulation to the
; delay lines. Helps eliminate metallic overtones
; in the reverb sound.
k1      randi   .001, 3.1, .06
k2      randi   .0011, 3.5, .9
k3      randi   .0017, 1.11, .7
k4      randi   .0006, 3.973, .3
k5      randi   .001, 2.341, .63
k6      randi   .0011, 1.897, .7
k7      randi   .0017, 0.891, .9
k8      randi   .0006, 3.221, .44

; apj is used to calculate "resultant junction pressure" for 
; the scattering junction of 8 lossless waveguides
; of equal characteristic impedance. If you wish to
; add more delay lines, simply add them to the following 
; equation, and replace the .25 by 2/N, where N is the 
; number of delay lines.
apj = .25 * (afilt1 + afilt2 + afilt3 + afilt4 + afilt5 + afilt6 + afilt7 + afilt8)

a1	= a1 * inlevl

adum1   delayr  1
adel1   deltapi idel1 + k1 * kpitchmod
        delayw  a1 + apj - afilt1

adum2   delayr  1
adel2   deltapi idel2 + k2 * kpitchmod
        delayw  a1 + apj - afilt2

adum3   delayr  1
adel3   deltapi idel3 + k3 * kpitchmod
        delayw  a1 + apj - afilt3

adum4   delayr  1
adel4   deltapi idel4 + k4 * kpitchmod
        delayw  a1 + apj - afilt4

adum5   delayr  1
adel5   deltapi idel5 + k5 * kpitchmod
        delayw  a1 + apj - afilt5

adum6   delayr  1
adel6   deltapi idel6 + k6 * kpitchmod
        delayw  a1 + apj - afilt6

adum7   delayr  1
adel7   deltapi idel7 + k7 * kpitchmod
        delayw  a1 + apj - afilt7

adum8   delayr  1
adel8   deltapi idel8 + k8 * kpitchmod
        delayw  a1 + apj - afilt8

; 1st order lowpass filters in feedback
; loops of delay lines.
afilt1  tone    adel1 * kgain, ktone
afilt2  tone    adel2 * kgain, ktone
afilt3  tone    adel3 * kgain, ktone
afilt4  tone    adel4 * kgain, ktone
afilt5  tone    adel5 * kgain, ktone
afilt6  tone    adel6 * kgain, ktone
afilt7  tone    adel7 * kgain, ktone
afilt8  tone    adel8 * kgain, ktone

; The outputs of the delay lines are summed
; and sent to the stereo outputs. This could
; easily be modified for a 4 or 8-channel 
; sound system.
aoutL = (afilt1 + afilt3 + afilt5 + afilt7) * ioutlevl 
aoutL buthp	aoutL, klfroll
aoutR = (afilt2 + afilt4 + afilt6 + afilt8) * ioutlevl 
aoutR buthp	aoutR, klfroll

;Send to output
	zawm	aoutL * gkfx_rv_dry * (1-gkfx_rv_pan), 	4	; send to clean out Left
	zawm	aoutR * gkfx_rv_dry * gkfx_rv_pan, 	5	; send to clean out Right

endin
;****************************************************************
;****************************************************************

;****************************************************************
; dry out, stereo
;****************************************************************
	instr 99
a1	zar	4
a2	zar	5
outs	a1, a2
	endin
;****************************************************************
;****************************************************************

;****************************************************************
; clear zak
;****************************************************************
	instr 100
	zacl	0,13
	endin
;****************************************************************
;****************************************************************


</CsInstruments>

<CsScore>

; semitone scale, three octaves, for indexing of pitches
f2  0 64 -2 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37
; pentatone scale, for indexing of month to pitch (penta bassline)
f3  0 16 -2 0 0 0 3 5 7 10 12 14 15 17 19


f91  0 8192  7  0  2048  1 4096 -1 2048 0 		;tri wave
f92  0 8192  7  0  2000  0.9 64 1 4048 -0.9 64 -1 2000 0 ;tri wave, soft clipped
f93  0 65536  10  1    					;sine
;f93  0 8192  9  1  3  0  3  1  0  9  .3333  0		;square wave
f94  0 1024  7  0  1 1 1022 -1 1 0			;saw wave, straight
f95  0 1024  7  0  4 1 196 0.9 624 -0.9 196 -1 4 0	;saw wave, supersaw
f96  0 1024  7  0  8 0.9 4 1 100 0.9 800 -0.9 100 -1 4 -0.9 8 0	;supersaw , soft2
f97  0 8192  10 1 0.5 0.33 0.25 0.2 0.166 0.1428 0.125 0.111 ;saw wave, soft4


f130 0   1024 16  0 1024 -4 1		; convex curve 1, for reverb time knob ...
f182 0 32  -2 	2 4 8 16		     		; table for delaytime subdiv factor
f183 0 32  -2 	1 1.333 1.5		     		; table for delaytime note value factor
f184 0 32  -2 	0.5 1 2 3 4 5 6 7 8	     		; table for delaytime factor

;GUI instr
i1  0 6000

;efx instrs
i90  0 6000
i91  0 6000
i92  0 6000
i93  0 6000
i94  0 6000
i95  0 6000
i96  0 6000
i97  0 6000
i98  0 6000
i99  0 6000
i100 0 6000


t 0 400	;tempo

;instr	date	dur	
i2	0.00	0.5	.00	0.9458	0.9363	4.20
i2	1.00	0.5	.21	0.9467	0.8921	4.21
i2	3.58	0.5	.20	0.9384	0.9990	4.23
i2	10.83	0.5	.07	0.8925	0.9027	4.30
i2	11.60	0.5	.40	0.9596	0.9089	5.10
i2	18.46	0.5	.02	0.9568	0.8761	5.80
i2	22.62	0.5	.10	0.8649	0.9027	5.12
i2	23.62	0.5	.13	0.8374	0.9027	5.13
i2	42.81	0.5	.02	0.9109	0.9292	6.10
i2	45.50	0.5	.06	0.8741	0.9204	6.40
i2	49.83	0.5	.17	0.7767	0.7956	6.80
i2	50.50	0.5	.06	0.7676	0.7956	6.90
i2	51.58	0.5	.32	0.8190	0.8496	6.10
i2	66.00	0.5	.12	0.7455	0.4807	6.25
i2	72.48	0.5	.17	0.6077	0.2834	7.10
i2	74.90	0.5	.31	0.5985	0.1268	7.30
i2	75.89	0.5	.36	0.6022	0.2020	7.40
i2	76.50	0.5	.19	0.5985	0.1772	7.50
i2	80.79	0.5	.24	0.4691	0.0010	7.90
i2	82.00	0.5	.07	0.4815	0.0145	7.11
i2	83.04	0.5	.14	0.4803	0.0463	7.12
i2	84.83	0.5	.26	0.5425	0.1232	7.13
i2	85.87	0.5	.32	0.5884	0.1772	7.14
i2	88.54	0.5	.35	0.4741	0.0147	7.17
i2	89.75	0.5	.06	0.4662	0.0015	7.18
i2	90.50	0.5	.60	0.5222	0.0799	7.19
i2	91.56	0.5	.31	0.5489	0.1453	7.20
i2	92.48	0.5	.51	0.6233	0.2152	7.21
i2	95.00	0.5	.46	0.4882	0.4249	7.24
i2	99.75	0.5	.32	0.5599	0.1099	7.28
i2	102.00	0.5	.03	0.5673	0.1232	7.31
i2	104.00	0.5	.09	0.5342	0.1418	8.20
i2	105.00	0.5	.29	0.5434	0.0799	8.30
i2	106.00	0.5	.09	0.5617	0.0887	8.40
i2	110.00	0.5	.26	0.6628	0.2834	8.80
i2	111.00	0.5	.08	0.6463	0.2772	8.90
i2	112.75	0.5	.13	0.6444	0.2303	8.10
i2	119.58	0.5	.11	0.5342	0.1153	8.17
i2	126.71	0.5	.21	0.5002	0.4382	8.24
i2	134.83	0.5	.12	0.6463	0.2772	9.10
i2	140.62	0.5	.03	0.6187	0.2462	9.70
i2	150.71	0.5	.07	0.5820	0.1046	9.17
i2	158.67	0.5	.02	0.5948	0.1391	9.25
i2	172.67	0.5	.06	0.6591	0.2949	10.90
i2	173.66	0.5	.03	0.6646	0.2975	10.10
i2	182.58	0.5	.01	0.6527	0.3090	10.19
i2	187.60	0.5	.01	0.6454	0.3028	10.24
i2	197.58	0.5	.01	0.6499	0.2913	11.30
i2	213.42	0.5	.00	0.6454	0.2975	11.19
i2	214.00	0.5	.05	0.6454	0.3037	11.20
i2	333.00	0.5	.00	0.6454	0.3037	3.19
i2	336.56	0.5	.00	0.6444	0.3011	3.22
i2	337.00	0.5	.03	0.6454	0.3037	3.23
i2	339.75	0.5	.00	0.6444	0.3037	3.25
i2	340.54	0.5	.01	0.6435	0.3028	3.26
i2	342.58	0.5	.00	0.6444	0.3011	3.28
i2	343.73	0.5	.00	0.6444	0.3011	3.29
i2	345.79	0.5	.01	0.6454	0.3037	3.31
i2	346.46	0.5	.01	0.6444	0.3019	4.10
i2	347.42	0.5	.00	0.6444	0.3011	4.20
i2	348.00	0.5	.00	0.6444	0.3011	4.30
i2	349.00	0.5	.00	0.6444	0.3011	4.40
i2	350.00	0.5	.01	0.6454	0.3037	4.50
i2	351.75	0.5	.01	0.6444	0.3011	4.60
i2	354.00	0.5	.00	0.6444	0.3028	4.90
i2	357.54	0.5	.01	0.6472	0.2966	4.12
i2	358.17	0.5	1.17	0.5608	0.4276	4.13
i2	359.12	0.5	.86	0.6996	0.5399	4.14
i2	360.00	0.5	.43	0.7823	0.5311	4.15
i2	361.00	0.5	.04	0.7914	0.5293	4.16
i2	363.50	0.5	.28	0.7427	0.3895	4.18
i2	364.00	0.5	.85	0.7593	0.4780	4.19
i2	365.00	0.5	.13	0.7317	0.4771	4.20
i2	366.58	0.5	.01	0.7363	0.4771	4.21
i2	367.02	0.5	.42	0.7179	0.4426	4.22
i2	368.58	0.5	.64	0.6536	0.2391	4.23
i2	369.00	0.5	2.39	0.7731	0.4161	4.24
i2	370.12	0.5	1.05	0.6720	0.6461	4.25
i2	371.83	0.5	.43	0.7179	0.7974	4.26
i2	372.48	0.5	.86	0.5957	0.8036	4.27
i2	373.83	0.5	.80	0.8144	0.7125	4.28
i2	374.87	0.5	.94	0.8190	0.5045	4.29
i2	376.60	0.5	.87	0.6555	0.2258	5.10
i2	377.12	0.5	.45	0.6637	0.2745	5.20
i2	378.54	0.5	.00	0.6637	0.2745	5.30
i2	379.29	0.5	.00	0.6637	0.2745	5.40
i2	380.29	0.5	.02	0.6601	0.2745	5.50
i2	381.58	0.5	.00	0.6601	0.2745	5.60
i2	382.00	0.5	.50	0.6536	0.2303	5.70
i2	383.58	0.5	.03	0.6518	0.2409	5.80
i2	384.00	0.5	.19	0.6343	0.2435	5.90
i2	387.58	0.5	.02	0.6518	0.2409	5.12
i2	395.67	0.5	.05	0.6352	0.1506	5.20
i2	401.79	0.5	.09	0.5296	0.0923	5.26
i2	402.75	0.5	.03	0.5232	0.0914	5.27
i2	403.00	0.5	1.37	0.4749	0.0352	5.28
i2	404.83	0.5	.06	0.4734	0.0128	5.29
i2	405.46	0.5	.08	0.4735	0.0022	5.30
i2	414.00	0.5	.07	0.4056	0.1153	6.80
i2	416.94	0.5	.46	0.6536	0.2745	6.10
i2	424.44	0.5	.12	0.5278	0.4258	6.18
i2	425.00	0.5	.44	0.5094	0.3763	6.19
i2	427.51	0.5	.33	0.6536	0.2657	6.21
i2	428.37	0.5	.07	0.6444	0.2745	6.22
i2	429.79	0.5	.34	0.5985	0.1816	6.23
i2	431.58	0.5	.09	0.6169	0.2126	6.25
i2	432.91	0.5	.43	0.5333	0.1206	6.26
i2	433.58	0.5	.35	0.5792	0.1453	6.27
i2	435.00	0.5	.14	0.5994	0.1834	6.29
i2	437.59	0.5	.21	0.5268	0.0896	7.10
i2	438.90	0.5	.16	0.5636	0.1179	7.20
i2	439.46	0.5	.08	0.5645	0.1276	7.30
i2	440.58	0.5	.57	0.6077	0.2568	7.40
i2	441.00	0.5	1.79	0.5351	0.1144	7.50
i2	443.49	0.5	.33	0.6454	0.2524	7.70
i2	444.94	0.5	.45	0.5617	0.3665	7.80
i2	445.40	0.5	.25	0.5415	0.3515	7.90
i2	446.39	0.5	.23	0.4928	0.3435	7.10
i2	447.01	0.5	.24	0.5259	0.3497	7.11
i2	448.03	0.5	.71	0.6343	0.2365	7.12
i2	449.03	0.5	.10	0.6288	0.2152	7.13
i2	450.82	0.5	.12	0.6472	0.2559	7.14
i2	451.06	0.5	1.27	0.6187	0.1975	7.15
i2	454.55	0.5	.36	0.5066	0.4426	7.18
i2	455.55	0.5	.38	0.4882	0.3630	7.19
i2	460.43	0.5	.19	0.3137	0.2568	7.24
i2	463.82	0.5	.16	0.1942	0.2657	7.27
i2	466.44	0.5	.61	0.5388	0.3232	7.30
i2	467.50	0.5	.58	0.6288	0.2241	7.31
i2	468.85	0.5	.09	0.6518	0.2347	8.10
i2	469.92	0.5	.49	0.5764	0.1524	8.20
i2	470.67	0.5	.10	0.5856	0.1657	8.30
i2	471.23	0.5	.35	0.5599	0.1321	8.40
i2	473.65	0.5	.09	0.5884	0.1719	8.60
i2	476.75	0.5	.04	0.6178	0.1692	8.90
i2	477.64	0.5	.43	0.6637	0.2374	8.10
i2	478.54	0.5	1.00	0.5278	0.3780	8.11
i2	480.54	0.5	.45	0.6077	0.2037	8.13
i2	482.44	0.5	.04	0.6013	0.1887	8.15
i2	483.71	0.5	.05	0.5957	0.1754	8.16
i2	485.48	0.5	.02	0.5884	0.1719	8.18
i2	486.41	0.5	.01	0.5875	0.1710	8.19
i2	487.65	0.5	.18	0.5434	0.1480	8.20
i2	490.59	0.5	.03	0.5342	0.1613	8.23
i2	491.00	0.5	1.55	0.6095	0.2736	8.24
i2	492.00	0.5	.04	0.6187	0.2745	8.25
i2	493.32	0.5	.35	0.5379	0.3338	8.26
i2	494.01	0.5	.18	0.5241	0.3568	8.27
i2	495.86	0.5	.06	0.5369	0.3771	8.28
i2	496.42	0.5	2.01	0.5342	0.1418	8.29
i2	498.60	0.5	.41	0.5379	0.3338	8.31
i2	499.49	0.5	.52	0.4451	0.2949	9.10
i2	500.72	0.5	.16	0.4892	0.2940	9.20
i2	501.49	0.5	.89	0.6049	0.1993	9.30
i2	502.44	0.5	.35	0.6463	0.2586	9.40
i2	504.41	0.5	.31	0.5379	0.3338	9.60
i2	505.80	0.5	.62	0.3780	0.4338	9.70
i2	508.50	0.5	.31	0.3688	0.2568	9.10
i2	509.72	0.5	.88	0.5066	0.4426	9.11
i2	510.41	0.5	1.71	0.6564	0.2382	9.12
i2	511.72	0.5	.23	0.6031	0.2020	9.13
i2	516.56	0.5	.06	0.6518	0.2365	9.18
i2	517.29	0.5	1.29	0.4882	0.3603	9.19
i2	520.69	0.5	.26	0.6288	0.2329	9.22
i2	540.75	0.5	.07	0.3229	0.2657	10.12
i2	556.42	0.5	.05	0.1667	0.3453	10.28
i2	558.58	0.5	.06	0.1759	0.3718	10.30
i2	559.00	0.5	.89	0.1373	0.4417	10.31
i2	586.00	0.5	.03	0.3137	0.4072	11.27
i2	758.52	0.5	.00	0.3624	0.3984	5.17
i2	774.44	0.5	.06	0.1556	0.3957	6.20
i2	777.40	0.5	.54	0.5066	0.4063	6.50
i2	778.84	0.5	.16	0.5379	0.3656	6.60
i2	787.30	0.5	.02	0.5388	0.3338	6.15
i2	788.37	0.5	.62	0.6279	0.2205	6.16
i2	789.00	0.5	.38	0.6132	0.1719	6.17
i2	790.04	0.5	.32	0.6582	0.2285	6.18
i2	791.64	0.5	.03	0.6527	0.2365	6.19
i2	793.41	0.5	.24	0.5884	0.1728	6.21
i2	795.62	0.5	.15	0.6325	0.2303	6.23
i2	796.52	0.5	.40	0.6665	0.2984	6.24
i2	797.00	0.5	1.60	0.5158	0.3718	6.25
i2	805.45	0.5	.02	0.5461	0.3798	7.30
i2	806.51	0.5	.69	0.6463	0.2586	7.40
i2	808.60	0.5	.19	0.6013	0.1878	7.60
i2	810.69	0.5	.02	0.5994	0.1984	7.80
i2	820.41	0.5	.00	0.6031	0.1984	7.18
i2	821.66	0.5	.09	0.5893	0.1781	7.19
i2	822.60	0.5	.30	0.6288	0.2232	7.20
i2	826.34	0.5	.05	0.6481	0.2621	7.24
i2	830.35	0.5	.15	0.5360	0.3302	7.28
i2	831.37	0.5	.15	0.5397	0.3630	7.29
i2	833.40	0.5	.34	0.6417	0.2559	7.31
i2	838.44	0.5	.10	0.5902	0.1621	8.50
i2	840.69	0.5	.06	0.5682	0.1453	8.70
i2	842.65	0.5	.37	0.6481	0.2772	8.90
i2	843.37	0.5	1.15	0.4974	0.3807	8.10
i2	845.40	0.5	.11	0.5461	0.3798	8.12
i2	847.89	0.5	.35	0.6058	0.2020	8.14
i2	853.34	0.5	.18	0.5020	0.3833	8.20
i2	855.56	0.5	.03	0.5029	0.3709	8.22
i2	856.44	0.5	.06	0.5066	0.3816	8.23
i2	859.37	0.5	.31	0.6325	0.2294	8.26
i2	860.58	0.5	.00	0.6325	0.2294	8.27
i2	861.41	0.5	.82	0.5425	0.3444	8.28
i2	862.41	0.5	.16	0.5461	0.3789	8.29
i2	863.80	0.5	.05	0.5581	0.3709	8.30
i2	864.72	0.5	.63	0.4331	0.3948	8.31
i2	866.34	0.5	.22	0.4864	0.3400	9.20
i2	867.40	0.5	.78	0.6380	0.2453	9.30
i2	868.46	0.5	.08	0.6564	0.2382	9.40
i2	869.42	0.5	.12	0.6380	0.2542	9.50
i2	870.00	0.5	1.40	0.5075	0.3745	9.60
i2	871.00	0.5	.19	0.4653	0.3727	9.70
i2	877.00	0.5	.03	0.4644	0.3356	9.13
i2	878.00	0.5	.28	0.4405	0.3904	9.14
i2	879.00	0.5	.31	0.5066	0.3718	9.15
i2	917.64	0.5	.01	0.4469	0.4178	10.23
i2	918.87	0.5	.00	0.4469	0.4178	10.24
i2	919.96	0.5	.00	0.4469	0.4178	10.25
i2	921.54	0.5	.00	0.4469	0.4178	10.27
i2	922.71	0.5	.00	0.4469	0.4178	10.28
i2	924.48	0.5	.00	0.4469	0.4178	10.30
i2	925.90	0.5	.00	0.4469	0.4178	10.31
i2	1088.81	0.5	.00	0.4448	0.3973	4.12
i2	1090.33	0.5	.31	0.3624	0.4598	4.14
i2	1095.54	0.5	.02	0.3514	0.4350	4.19
i2	1096.54	0.5	.00	0.3514	0.4350	4.20
i2	1108.54	0.5	.01	0.3761	0.4237	5.20
i2	1114.54	0.5	.05	0.4411	0.4044	5.80
i2	1115.58	0.5	.22	0.4921	0.4119	5.90
i2	1117.85	0.5	.28	0.3624	0.4598	5.11
i2	1119.42	0.5	.64	0.5369	0.3320	5.13
i2	1123.50	0.5	.24	0.3624	0.4598	5.17
i2	1127.92	0.5	.08	0.2932	0.4868	5.21
i2	1132.81	0.5	.00	0.2932	0.4868	5.26
i2	1137.43	0.5	.06	0.3453	0.4593	5.31
i2	1138.46	0.5	.79	0.1708	0.4210	6.10
i2	1158.53	0.5	.03	0.1817	0.5696	6.21
i2	1165.51	0.5	.04	0.1728	0.5160	6.28
i2	1172.89	0.5	.06	0.2678	0.5160	7.50
i2	1173.44	0.5	2.07	0.4598	0.3608	7.60
i2	1175.68	0.5	.51	0.5452	0.1312	7.80
i2	1176.80	0.5	.14	0.5333	0.1613	7.90
i2	1178.39	0.5	.48	0.6527	0.2736	7.11
i2	1179.42	0.5	.67	0.5452	0.3780	7.12
i2	1180.01	0.5	.22	0.5222	0.3603	7.13
i2	1187.85	0.5	.23	0.1706	0.5351	7.20
i2	1201.53	0.5	.18	0.6022	0.1940	8.30
i2	1202.84	0.5	.02	0.6068	0.1984	8.40
i2	1203.64	0.5	.16	0.5921	0.1754	8.50
i2	1205.42	0.5	.26	0.6408	0.2621	8.70
i2	1206.44	0.5	.45	0.5921	0.1763	8.80
i2	1207.86	0.5	.00	0.5930	0.1772	8.90
i2	1210.37	0.5	.01	0.5875	0.1736	8.12
i2	1212.41	0.5	.16	0.6307	0.2285	8.14
i2	1219.59	0.5	.41	0.1320	0.6266	8.21
i2	1224.69	0.5	.57	0.6187	0.2179	8.26
i2	1228.78	0.5	.03	0.6031	0.1931	8.30
i2	1231.41	0.5	.08	0.6316	0.2285	9.20
i2	1232.42	0.5	.22	0.6003	0.1931	9.30
i2	1235.42	0.5	.30	0.5470	0.3780	9.60
i2	1236.34	0.5	.24	0.5379	0.3311	9.70
i2	1238.37	0.5	.04	0.5516	0.3232	9.90
i2	1241.73	0.5	.06	0.5351	0.3594	9.12
i2	1242.75	0.5	.00	0.5351	0.3594	9.13
i2	1244.31	0.5	.11	0.5278	0.3223	9.15
i2	1247.64	0.5	.02	0.5379	0.3311	9.18
i2	1265.55	0.5	.16	0.0555	0.7189	10.60
i2	1274.52	0.5	.15	0.2373	0.4956	10.15
i2	1307.53	0.5	.01	0.1922	0.4002	11.17
i2	1309.71	0.5	1.71	0.9990	0.5355	11.19
i2	1443.43	0.5	.00	0.3027	0.4074	4.20
i2	1462.50	0.5	.03	0.2279	0.5075	4.21
i2	1475.47	0.5	.02	0.1789	0.5450	5.40
i2	1487.46	0.5	.11	0.4354	0.4084	5.16
i2	1508.65	0.5	.12	0.0010	0.7535	6.60
i2	1516.46	0.5	.00	0.0010	0.7535	6.14
i2	1526.58	0.5	.29	0.6451	0.7805	6.24
i2	1553.46	0.5	.08	0.2793	0.5170	7.21
i2	1560.37	0.5	.32	0.5721	0.1501	7.28
i2	1561.60	0.5	.18	0.6013	0.1887	7.29
i2	1562.50	0.5	.11	0.6132	0.2055	7.30
i2	1565.60	0.5	.05	0.6325	0.2303	8.20
i2	1566.48	0.5	.04	0.6288	0.2232	8.30
i2	1567.31	0.5	.13	0.6518	0.2320	8.40
i2	1569.79	0.5	.27	0.5645	0.3444	8.60
i2	1570.75	0.5	.19	0.5461	0.3798	8.70
i2	1571.67	0.5	.34	0.4774	0.3810	8.80
i2	1574.50	0.5	.39	0.5884	0.1719	8.11
i2	1575.42	0.5	.00	0.5884	0.1719	8.12
i2	1577.75	0.5	.00	0.5884	0.1719	8.14
i2	1579.44	0.5	.01	0.5902	0.1745	8.16
i2	1580.35	0.5	.43	0.6371	0.2453	8.17
i2	1581.61	0.5	.41	0.5994	0.3497	8.18
i2	1584.90	0.5	.10	0.5709	0.2851	8.21
i2	1585.49	0.5	.71	0.6049	0.2020	8.22
i2	1586.76	0.5	.20	0.6371	0.2453	8.23
i2	1587.79	0.5	.25	0.6049	0.2011	8.24
i2	1591.45	0.5	.17	0.5627	0.3294	8.28
i2	1598.46	0.5	.25	0.2335	0.5099	9.40
i2	1601.46	0.5	.74	0.6058	0.2020	9.70
i2	1602.47	0.5	.25	0.6371	0.2453	9.80
i2	1605.60	0.5	.02	0.6325	0.2303	9.11
i2	1606.77	0.5	.54	0.5323	0.3241	9.12
i2	1627.60	0.5	.08	0.2208	0.5294	10.30
i2	1790.49	0.5	.00	0.3641	0.3491	3.15
i2	1810.49	0.5	.04	0.2560	0.4855	4.40
i2	1836.54	0.5	.01	0.2714	0.5294	4.30
i2	1850.77	0.5	.01	0.2576	0.4995	5.14
i2	1856.68	0.5	.03	0.2904	0.4849	5.20
i2	1864.68	0.5	.01	0.2793	0.4875	5.28
i2	1875.77	0.5	.01	0.2565	0.5031	6.80
i2	1892.55	0.5	.01	0.2631	0.5412	6.25
i2	1901.51	0.5	.10	0.4634	0.4898	7.40
i2	1907.58	0.5	.13	0.3025	0.5412	7.10



e



</CsScore>

</CsoundSynthesizer>

